# Class DeviceInfo#getSoftApInfo

DeviceInfo

- Defined in: deviceInfo.js

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| DeviceInfo#getSoftApInfo(successCallback, errorCallback) Gets Soft AP information.

## Class Detail

DeviceInfo#getSoftApInfo(successCallback, errorCallback)
Gets Soft AP information.

    // Javascript code
    function getSoftApInfo () {
      function successCb(cbObject) {
         console.log("cbObject : " + JSON.stringify(cbObject));
         console.log("enabled : " + cbObject.enabled);
         console.log("ssid : " + cbObject.ssid);
         console.log("securityKey : " + cbObject.securityKey);
      }

      function failureCb(cbObject) {
         var errorCode = cbObject.errorCode;
         var errorText = cbObject.errorText;
         console.log ("Error Code [" + errorCode + "]: " + errorText);
      }

      var deviceInfo = new DeviceInfo();
      deviceInfo.getSoftApInfo(successCb, failureCb);
    }

Parameters:
{Function} successCallback
  success callback function.
{Function} errorCallback
  failure callback function.

Since:
  1.3
Returns:
  {Object}

  Property | Type | Description
  --- | --- | ---
  enabled | Boolean | Soft AP is enabled true: enabled, false: disabled
  ssid | String | SSID of Soft AP (Maximum length is 32). Only valid when 'enabled' is true.
  securityKey | String | Security key(6 characters). It is automatically prefixed with "LG". Only valid when 'enabled' is true.

See:
  DeviceInfo.setSoftApInfo()
  ,